Bug 1258435 - Kernel update not showing in grub
Kernel update not showing in grub
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-31 07:38 EDT by Dhiraj Kumar Hazra
Modified: 2016-07-19 15:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:17:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/grubby (20.21 KB, text/plain)
2015-08-31 13:00 EDT, Dhiraj Kumar Hazra
no flags Details
/boot/grub2/grub.cfg (6.05 KB, text/plain)
2015-08-31 13:01 EDT, Dhiraj Kumar Hazra
no flags Details
less /boot/efi/EFI/fedora/grub.cfg (4.13 KB, text/plain)
2015-09-01 06:39 EDT, Dhiraj Kumar Hazra
no flags Details

  None (edit)
Description Dhiraj Kumar Hazra 2015-08-31 07:38:14 EDT
Description of problem:
My system is up-to-date. The kernel rpm search shows:
=====================================================
rpm -qa|grep kernel
kernel-modules-4.1.3-201.fc22.x86_64
kernel-4.1.6-200.fc22.x86_64
kernel-core-4.1.5-200.fc22.x86_64
kernel-modules-extra-4.1.3-201.fc22.x86_64
abrt-addon-kerneloops-2.6.1-2.fc22.x86_64
kernel-debug-devel-4.1.5-200.fc22.x86_64
kernel-headers-4.1.6-200.fc22.x86_64
kernel-devel-4.1.4-200.fc22.x86_64
kernel-modules-extra-4.1.5-200.fc22.x86_64
kernel-core-4.1.6-200.fc22.x86_64
kernel-core-4.1.3-201.fc22.x86_64
kernel-debug-devel-3.19.5-200.fc21.x86_64
libreport-plugin-kerneloops-2.6.2-1.fc22.x86_64
kernel-debug-devel-4.1.6-200.fc22.x86_64
kernel-devel-3.19.5-200.fc21.x86_64
kernel-debug-devel-3.19.7-200.fc21.x86_64
kernel-debug-devel-4.1.4-200.fc22.x86_64
kernel-4.1.5-200.fc22.x86_64
kernel-modules-4.1.6-200.fc22.x86_64
kernel-devel-4.1.5-200.fc22.x86_64
kernel-devel-3.19.7-200.fc21.x86_64
kernel-modules-extra-4.1.6-200.fc22.x86_64
kernel-4.1.3-201.fc22.x86_64
kernel-devel-4.1.6-200.fc22.x86_64
kernel-modules-4.1.5-200.fc22.x86_64
texlive-l3kernel-svn32599.SVN_4646-8.fc22.noarch
=====================================================

However, in grub, only upto kernel-4.1.3 is shown and not beyond that. 

=====================================================
uname -a
Linux hash 4.1.3-201.fc22.x86_64 #1 SMP Wed Jul 29 19:50:22 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
=====================================================

/boot/grub2/grub.cfg shows the existence of 4.1.6 but is not shown upon restart.


Version-Release number of selected component (if applicable):

Kernel (beyond version 4.1.3)

How reproducible:
Everytime

Steps to Reproduce:
1. Update
2. Restart 
3. Updated kernel not shown

Actual results:


Expected results:


Additional info:

dnf upgrade shows some problem with akmods. Might be related. 

dnf upgrade
Last metadata expiration check performed 0:06:57 ago on Mon Aug 31 20:26:52 2015.
Dependencies resolved.
=============================================================================================================================================================================================
 Package                                 Arch                                    Version                                       Repository                                               Size
=============================================================================================================================================================================================
Skipping packages with broken dependencies:
 akmods                                  noarch                                  0.5.4-1.fc22                                  rpmfusion-free-updates                                   25 k

Transaction Summary
=============================================================================================================================================================================================

Nothing to do.
Complete!
Comment 1 Brian Lane 2015-08-31 12:53:34 EDT
Please attach /var/log/grubby and /boot/grub2/grub.cfg to this bug as text/plain attachments.
Comment 2 Dhiraj Kumar Hazra 2015-08-31 13:00:00 EDT
Created attachment 1068711 [details]
/var/log/grubby
Comment 3 Dhiraj Kumar Hazra 2015-08-31 13:01:13 EDT
Created attachment 1068712 [details]
/boot/grub2/grub.cfg
Comment 4 Dhiraj Kumar Hazra 2015-09-01 06:39:12 EDT
Created attachment 1068937 [details]
less /boot/efi/EFI/fedora/grub.cfg

This is the output of /boot/efi/EFI/fedora/grub.cfg

However it is showing input/output error while trying to open with editors(gedit)
Comment 5 Dhiraj Kumar Hazra 2015-09-01 06:41:33 EDT
It seems I am using UEFI. 
===================================================
gdisk -l /dev/sda
GPT fdisk (gdisk) version 1.0.0

Partition table scan:                                                                                                                                                                        
  MBR: protective
  BSD: not present
  APM: not present
  GPT: present

Found valid GPT with protective MBR; using GPT.
Disk /dev/sda: 1953525168 sectors, 931.5 GiB
Logical sector size: 512 bytes
Disk identifier (GUID): 683F1484-27A4-43C0-A170-DA7E87239BDB
Partition table holds up to 128 entries
First usable sector is 34, last usable sector is 1953525134
Partitions will be aligned on 2048-sector boundaries
Total free space is 14629 sectors (7.1 MiB)

Number  Start (sector)    End (sector)  Size       Code  Name
   1            2048         1333247   650.0 MiB   2700  Basic data partition
   2         1333248         1865727   260.0 MiB   EF00  EFI System Partition
   3         1865728         2127871   128.0 MiB   0C01  Microsoft reserved ...
   4         2127872       973270087   463.1 GiB   0700  Basic data partition
   5       973271040       975024127   856.0 MiB   2700  
   6       975024128       976048127   500.0 MiB   8300  
   7       976048128      1911928831   446.3 GiB   8E00  
   8      1911928832      1953513471   19.8 GiB    0700  Basic data partition

===================================================

Forum link on this bug.

http://forums.fedoraforum.org/showthread.php?p=1741780#post1741780
Comment 6 Dhiraj Kumar Hazra 2015-09-01 09:45:15 EDT
Ah. The filesystem became corrupted, no idea why though...

Now I did the following :

  umount /boot/efi
  fsck /boot/efi
  (here I corrected the corrupt chunks)
  mount /boot/efi
  grub2-mkconfig -o /boot/efi/EFI/fedora/grub.cfg    

  It worked for me. But this same problem happened with my other machine. Seems to be triggered by some bug in grubby. 

  Thanks a lot to all of you who participated in the discussion and helped me resolving the issue.

  So now should I flag this as not a bug or do you think that grubby has something to do with this?
Comment 7 Fedora End Of Life 2016-07-19 15:17:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.